package net.northking.cctp.element.internal.protocol.socket.cups8583.internal;

/**
 * CupsFieldType
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public enum CupsFieldType {

    FIX("定长域"),
    LLVAR("2位变长域（1-99）"),
    LLLVAR("3位变长域（1-999）"),
    YYMM("定长日期格式YYMM"),
    MMDD("定长日期格式MMDD"),
    YYMMDD("定长日期格式YYMMDD"),
    hhmmss("定长时间格式hhmmss"),
    MMDDhhmmss("定长时间格式MMDDhhmmss"),
    YYMMDDhhmmss("定长时间格式YYMMDDhhmmss");

    private String desc;

    CupsFieldType(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return this.desc;
    }

}
